# Uses of Class
org.eclipse.mat.parser.internal.oql.compiler.Query.FromClause

Packages that use Query.FromClause
Package
Description
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).
org.eclipse.mat.parser.internal.oql.parser
Object Query Language (OQL) parser (not API).

## Uses of Query.FromClause in org.eclipse.mat.parser.internal.oql.compiler

Methods in org.eclipse.mat.parser.internal.oql.compiler that return Query.FromClause
Modifier and Type
Method
Description
`Query.FromClause`
Query.`getFromClause()`
Methods in org.eclipse.mat.parser.internal.oql.compiler with parameters of type Query.FromClause
Modifier and Type
Method
Description
`void`
Query.`setFromClause(Query.FromClause fromClause)`

## Uses of Query.FromClause in org.eclipse.mat.parser.internal.oql.parser

Methods in org.eclipse.mat.parser.internal.oql.parser with parameters of type Query.FromClause
Modifier and Type
Method
Description
`final void`
OQLParser.`FromItem(Query.FromClause fromClause)`